package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysPost;

public interface SysPostMapper
{
    List<SysPost> selectPostList(final SysPost p0);
    
    List<SysPost> selectPostAll();
    
    SysPost selectPostById(final Long p0);
    
    List<Long> selectPostListByUserId(final Long p0);
    
    List<SysPost> selectPostsByUserName(final String p0);
    
    int deletePostById(final Long p0);
    
    int deletePostByIds(final Long[] p0);
    
    int updatePost(final SysPost p0);
    
    int insertPost(final SysPost p0);
    
    SysPost checkPostNameUnique(final String p0);
    
    SysPost checkPostCodeUnique(final String p0);
}
